## net.sf.saxon.trans
Class CompilerInfo

    java.lang.Object
      net.sf.saxon.trans.CompilerInfo

    public class CompilerInfo

extends java.lang.Object

This class exists to hold information associated with a specific XSLT compilation episode. In JAXP, the URIResolver and ErrorListener used during XSLT compilation are those defined in the TransformerFactory. The .NET API, however, allows finer granularity, and this class exists to support that.

Constructor Summary
`CompilerInfo()`

Method Summary
`javax.xml.transform.ErrorListener` `getErrorListener()` Get the ErrorListener being used during this compilation episode
`javax.xml.transform.URIResolver` `getURIResolver()` Get the URI Resolver being used in this compilation episode.
`boolean` `isCompileWithTracing()` Determine whether trace hooks are included in the compiled code.
`void` `setCompileWithTracing(boolean trueOrFalse)` Set whether trace hooks are to be included in the compiled code.
`void` `setErrorListener(javax.xml.transform.ErrorListener listener)` Set the ErrorListener to be used during this compilation episode
`void` `setURIResolver(javax.xml.transform.URIResolver resolver)` Set the URI Resolver to be used in this compilation episode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilerInfo

    public CompilerInfo()

Method Detail

### setURIResolver

    public void setURIResolver(javax.xml.transform.URIResolver resolver)

  Set the URI Resolver to be used in this compilation episode.

  Parameters:
    `resolver` - The URIResolver to be used. This is used to dereference URIs encountered in constructs such as xsl:include, xsl:import, and xsl:import-schema.
  Since:
    8.7

### getURIResolver

    public javax.xml.transform.URIResolver getURIResolver()

  Get the URI Resolver being used in this compilation episode.

  Returns:
    resolver The URIResolver in use. This is used to dereference URIs encountered in constructs such as xsl:include, xsl:import, and xsl:import-schema.
  Since:
    8.7

### setErrorListener

    public void setErrorListener(javax.xml.transform.ErrorListener listener)

  Set the ErrorListener to be used during this compilation episode

  Parameters:
    `listener` - The error listener to be used. This is notified of all errors detected during the compilation.
  Since:
    8.7

### getErrorListener

    public javax.xml.transform.ErrorListener getErrorListener()

  Get the ErrorListener being used during this compilation episode

  Returns:
    listener The error listener in use. This is notified of all errors detected during the compilation.
  Since:
    8.7

### setCompileWithTracing

    public void setCompileWithTracing(boolean trueOrFalse)

  Set whether trace hooks are to be included in the compiled code. To use tracing, it is necessary both to compile the code with trace hooks included, and to supply a TraceListener at run-time

  Parameters:
    `trueOrFalse` - true if trace code is to be compiled in, false otherwise
  Since:
    8.9

### isCompileWithTracing

    public boolean isCompileWithTracing()

  Determine whether trace hooks are included in the compiled code.

  Returns:
    true if trace hooks are included, false if not.
  Since:
    8.9

Copyright (c) Saxonica Limited. All rights reserved.